C***********************************************************************
C***********************************************************************
C**
C** INTEGRAL SYSTEMS, INC.
C**
C***********************************************************************
C**
C** PROJECT : OPERATIONS GROUND EQUIPMENT FOR GOES-NEXT
C** SYSTEM : EARTH LOCATION USERS GUIDE
C** NAME : REC
C** TYPE : DATA AREA
C** SOURCE : ELREC.INC
C**
C** VER. DATA BY COMMENT
C** ---- -------- ---------------- --------------------------------
C** A 01/19/89 I. LEVINE INITIAL CREATION
C**
C***********************************************************************
C**
C** DESCRIPTION
C** TEST SET OF O&A PARAMETERS IN THE GVAR BLOCK 0 FORMAT
C**
C***********************************************************************
C***********************************************************************
C CONTENT OF CORRESPONDING WORDS:
C REC(5) - REFERENCE LONGITUDE
C REC(6) - DISTANCE FROM NOMINAL
C REC(7) - REFERENCE LATITUDE
C REC(8) - REFERENCE ORBIT YAW
C REC(9) - REFERENCE ROLL
C REC(10) - REFERENCE PITCH
C REC(11) - REFERENCE YAW
C REC(12),REC(13) - EPOCH TIME IN THE BCD FORMAT /YYYYDDDH HMMSSLLL/
C WHERE Y=YEAR, D=DAY, H=HOUR, M=MINUTE,
C S=SECONDS, L=MILLISECONDS.
C REC(14) - UNUSED
C REC(15) - SPACECRAFT COMPENSATION, ROLL
C REC(16) - SPACECRAFT COMPENSATION, PITCH
C REC(17) - SPACECRAFT COMPENSATION, YAW
C REC(62) - ROLL COEFFICIENTS BEGIN HERE
C REC(117) - PITCH COEFFICIENTS BEGIN HERE
C REC(172) - YAW COEFFICIENTS BEGIN HERE
C REC(227) - ROLL MISALIGNMENT COEFFICIENTS BEGIN HERE
C REC(282) - PITCH MISALIGNMENT COEFFICIENTS BEGIN HERE
C***********************************************************************
      REAL*4 REC(336)
      DATA REC/4*0,
C REFER. LON=-100.1189, LAT=-1.9813, ORB.YAW=-.34967 deg, DIST=84.066
     1 -1.747405052185, 84.06604003906, -.34368492669E-1,
     1 -.6102979183197E-2, 3*0,
C EPOCH 02/01/89 6:29:34.567
     1 X'19890320',X'62934567',
C SPECECRAFT COMPENSATION
     1 0,3.E-4,-3.E-4,-2.E-4,
C COEFFICIENTS FOR CHANGES IN LON, LAT, RADIAL DISTANCE AND ORBIT YAW
     1 42*2.E-4,
C DAILY SOLAR RATE (rad/min) AND EXPONENTIAL START TIME FROM EPOCH
     1 4.363E-3, 0.0,
C ROLL COEFFICIENTS BEGIN HERE (FROM WORD 62):
     1 5.E-4,100.,2.E-3,X'0F',30*.5E-5,
     1 X'04', X'02',X'02',1.E-5,0,.01,X'02',X'03',-1.E-5,0,.01,
     1 X'03',X'02',1.E-5,0,.01,X'03',X'03',-1.E-5,0,.01,
C PITCH COEFFICIENTS BEGIN HERE (FROM WORD 117):
     2 5.E-4,100.,2.E-3,X'0F',30*.5E-5,
     2 X'04', X'02',X'02',1.E-5,0,.01,X'02',X'03',-1.E-5,0,.01,
     2 X'03',X'02',1.E-5,0,.01,X'03',X'03',-1.E-5,0,.01,
C YAW COEFFICIENTS BEGIN HERE (FROM WORD 172):
     3 5.E-4,100.,1.E-3,X'0F',30*.5E-5,
     3 X'04', X'02',X'02',1.E-5,0,.01,X'02',X'03',-1.E-5,0,.01,
     3 X'03',X'02',1.E-5,0,.01,X'03',X'03',-1.E-5,0,.01,
C RMA COEFFICIENTS BEGIN HERE (FROM WORD 227):
     4 -5.E-5,10.,1.E-3,X'0F',30*.5E-5,
     4 X'04', X'02',X'02',1.E-5,0,.01,X'02',X'03',-1.E-5,0,.01,
     4      X'03',X'02',1.E-5,0,.01,X'03',X'03',-1.E-5,0,.01,
C PMA COEFFICIENTS BEGIN HERE (FROM WORD 282):
     5      -5.E-5,10.,1.E-3,X'0F',30*.5E-5,
     5 X'04', X'02',X'02',1.E-5,0,.01,X'02',X'03',-1.E-5,0,.01,
     5 X'03',X'02',1.E-5,0,.01,X'03',X'03',-1.E-5,0,.01/
C***********************************************************************
