C***********************************************************************
C***********************************************************************
C**
C**   INTEGRAL SYSTEMS, INC.
C**
C***********************************************************************
C**
C**   PROJECT : OPERATIONS GROUND EQUIPMENT FOR GOES-NEXT
C**   SYSTEM : EARTH LOCATION USERS GUIDE
C**   ROUTINE : EVLN
C**   SOURCE : EVLN.FOR
C**   LOAD NAME : ANY
C**   PROGRAMMER: IGOR LEVINE
C**
C**   VER. DATA BY COMMENT
C** ---- -------- --- ---------------------------------------------
C**   A 10/27/88 IL INITIAL CREATION
C***********************************************************************
C**
C**   THIS FUNCTION CONVERTS FRACTIONAL LINE NUMBER TO ELEVATION ANGLE
C**   IN RADIANS.
C**
C***********************************************************************
C**
C**   CALLED BY : ANY
C**   COMMONS MODIFIED: NONE
C**   INPUTS : NONE
C**   OUTPUTS : NONE
C**   ROUTINES CALLED : NONE
C**
C***********************************************************************
C***********************************************************************
      REAL FUNCTION EVLN(INSTR,RLINE)
      IMPLICIT NONE
C
C     CALLING PARAMETERS
C
      INTEGER INSTR
C     INSTRUMENT CODE (1-IMAGER, 2-SOUNDER)
      REAL*4 RLINE
C     FRACTIONAL LINE NUMBER
C
C     LOCAL VARIABLES - NONE
C
C INCLUDE FILES
C
      INCLUDE 'INSTCOMM.INC'
C***********************************************************************
      IF (INSTR.EQ.1) THEN
           EVLN=ELVMAX(INSTR)-(RLINE-4.5)*ELVLN(INSTR)
      ELSE
           EVLN=ELVMAX(INSTR)-(RLINE-2.5)*ELVLN(INSTR)
      END IF
      RETURN
      END
