C***********************************************************************
C***********************************************************************
C**
C** INTEGRAL SYSTEMS, INC.
C**
C***********************************************************************
C**
C** PROJECT : OPERATIONS GROUND EQUIPMENT FOR GOES-NEXT
C** SYSTEM : EARTH LOCATION USERS GUIDE
C** ROUTINE : EVSC2LPF
C** SOURCE : EVSC2LPF.FOR
C** LOAD NAME : ANY
C** PROGRAMMER: IGOR LEVINE
C**
C** VER. DATA BY COMMENT
C** ---- -------- --- ---------------------------------------------
C** A 10/27/88 IL INITIAL CREATION
C**
C***********************************************************************
C**
C** THIS SUBROUTINE CONVERTS ELEVATION AND SCAN ANGLES
C** TO THE FRACTIONAL LINE AND PIXEL NUMBERS.
C**
C***********************************************************************
C**
C** CALLED BY : ANY
C** COMMONS MODIFIED: NONE
C** INPUTS : NONE
C** OUTPUTS : NONE
C** ROUTINES CALLED : NONE
C**
C***********************************************************************
C***********************************************************************
      SUBROUTINE EVSC2LPF(INSTR,ELEV,SCAN,RL,RP)
      IMPLICIT NONE
C
C CALLING PARAMETERS
C
      INTEGER INSTR
C INSTRUMENT CODE (1-IMAGER, 2-SOUNDER)
      REAL ELEV
C ELEVATION ANGLE IN RADIANS
      REAL SCAN
C SCAN ANGLE IN RADIANS
      REAL RL
C LINE NUMBER
      REAL RP
C PIXEL NUMBER
C
C LOCAL VARIABLES - NONE
C
C
C INCLUDE FILES
C
      INCLUDE 'INSTCOMM.INC'
C**************************************************************
C
C COMPUTE FRACTIONAL LINE NUMBER
C
      RL=(ELVMAX(INSTR)-ELEV)/ELVLN(INSTR)
      IF (INSTR.EQ.1) THEN
            RL=RL+4.5
      ELSE
            RL=RL+2.5
      END IF
C
C COMPUTE FRACTIONAL PIXEL NUMBER
C
      RP=(SCNMAX(INSTR)+SCAN)/SCNPX(INSTR)+1.
      RETURN
      END
