C***********************************************************************
C***********************************************************************
C**
C** INTEGRAL SYSTEMS, INC.
C**
C***********************************************************************
C**
C** PROJECT : OPERATIONS GROUND EQUIPMENT FOR GOES-NEXT
C** SYSTEM : EARTH LOCATION USERS GUIDE
C** ROUTINE : SCPX
C** SOURCE : SCPX.FOR
C** LOAD NAME : ANY
C** PROGRAMMER: IGOR LEVINE
C**
C** VER. DATA BY COMMENT
C** ---- -------- --- ---------------------------------------------
C** A 09/22/87 IL INITIAL CREATION
C***********************************************************************
C**
C** THIS FUNCTION CONVERTS FRACTIONAL PIXEL NUMBER TO SCAN ANGLE
C** IN RADIANS.
C**
C***********************************************************************
C**
C** CALLED BY : ANY
C** COMMONS MODIFIED: NONE
C** INPUTS : NONE
C** OUTPUTS : NONE
C** ROUTINES CALLED : NONE
C**
C***********************************************************************
C***********************************************************************
      REAL FUNCTION SCPX(INSTR,PIX)
      IMPLICIT NONE
C
C CALLING PARAMETERS
C
      INTEGER INSTR
C INSTRUMENT CODE (1-IMAGER, 2-SOUNDER)
      REAL PIX
C FRACTIONAL PIXEL NUMBER
C
C LOCAL VARIABLES
C
C
C INCLUDE FILES
C
      INCLUDE 'INSTCOMM.INC'
C***********************************************************************
      SCPX=(PIX-1.)*SCNPX(INSTR)-SCNMAX(INSTR)
      RETURN
      END
