C***********************************************************************
C***********************************************************************
C**
C** INTEGRAL SYSTEMS, INC.
C**
C***********************************************************************
C**
C** PROJECT : OPERATIONS GROUND EQUIPMENT FOR GOES-NEXT
C** SYSTEM : EARTH LOCATION USERS GUIDE
C** ROUTINE : SETCONS
C** SOURCE : SETCONS.FOR
C** LOAD NAME : ANY
C** PROGRAMMER: IGOR LEVINE
C**
C** VER. DATA BY COMMENT
C** ---- -------- --- ---------------------------------------------
C** 1 02/16/89 IL INITIAL CREATION
C** 2 05/27/94 IL ADDED ARGUMENTS NSCYC1,..,EWINC2
C**
C***********************************************************************
C**
C** THIS SUBROUTINE GENERATES CONSTANTS IN COMMON INSTCOMM
C**
C***********************************************************************
C**
C** CALLED BY : ANY
C** COMMONS MODIFIED: INSTCOMM
C** INPUTS : NONE
C** OUTPUTS : NONE
C** ROUTINES CALLED : NONE
C**
C***********************************************************************
C***********************************************************************
      SUBROUTINE SETCONS(NSCYC1, NSINC1, EWCYC1, EWINC1,
     1 NSCYC2, NSINC2, EWCYC2, EWINC2)
      IMPLICIT NONE
C
C CALLING PARAMETERS
C
      INTEGER NSCYC1
C N-S CYCLES OF THE IMAGER OFFSET
      INTEGER NSINC1
C N-S INCREMENTS OF THE IMAGER OFFSET
      INTEGER EWCYC1
C E-W CYCLES OF THE IMAGER OFFSET
      INTEGER EWINC1
C E-W INCREMENTS OF THE IMAGER OFFSET
      INTEGER NSCYC2
C N-S CYCLES OF THE SOUNDER OFFSET
      INTEGER NSINC2
C N-S INCREMENTS OF THE SOUNDER OFFSET
      INTEGER EWCYC2
C E-W CYCLES OF THE SOUNER OFFSET
      INTEGER EWINC2
C E-W INCREMENTS OF THE SOUNDER OFFSET
C
C LOCAL VARIABLES
C
      REAL*4 W, DY, DX, DEG2RAD
      PARAMETER ( DEG2RAD = 0.01745329 )
      LOGICAL*4 FIRST
C
C INCLUDE FILES
C
      INCLUDE 'ELCONS.INC'
      INCLUDE 'INSTCOMM.INC'
      DATA FIRST / .TRUE. /
C***********************************************************************
      IF (FIRST) THEN
            FIRST = .FALSE.
            INCMAX(1) = 6136
            INCMAX(2) = 2805
            ELVINCR(1) = 2.8125 * DEG2RAD / INCMAX(1)
            ELVINCR(2) = 2.8125 * DEG2RAD / INCMAX(2)
            SCNINCR(1) = 5.6250 * DEG2RAD / INCMAX(1)
            SCNINCR(2) = 5.6250 * DEG2RAD / INCMAX(2)
            ELVLN(1) = ELVINCR(1) * 28 / 8
            ELVLN(2) = ELVINCR(2) * 64 / 4
            SCNPX(1) = SCNINCR(1)
            SCNPX(2) = SCNINCR(2) * 8
            NSNOM(1) = 4.5*INCMAX(1)*ELVINCR(1)
            NSNOM(2) = 4.5*INCMAX(2)*ELVINCR(2)
            EWNOM(1) = 2.5*INCMAX(1)*SCNINCR(1)
            EWNOM(2) = 2.5*INCMAX(2)*SCNINCR(2)
      ENDIF
C
C SET NEW OFFSETS
C
      ELVMAX(1) = (INCMAX(1)*NSCYC1+NSINC1)*ELVINCR(1)
      SCNMAX(1) = (INCMAX(1)*EWCYC1+EWINC1)*SCNINCR(1)
      ELVMAX(2) = 2.*NSNOM(2) - (INCMAX(2)*NSCYC2+NSINC2)*ELVINCR(2)
      SCNMAX(2) = (INCMAX(2)*EWCYC2+EWINC2)*SCNINCR(2)
      RETURN
      END
